org.jboss.jca.core.spi.transaction.xa

## Interface XATerminator

- All Superinterfaces:
    javax.resource.spi.XATerminator

      public interface XATerminator
      extends javax.resource.spi.XATerminator

  Extends XATerminator to include registration calls
  Author:
    Adrian Brock, Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelWork(javax.resource.spi.work.Work work, javax.transaction.xa.Xid xid)` Invoked when the work fails
    `void` | `endWork(javax.resource.spi.work.Work work, javax.transaction.xa.Xid xid)` Invoked when transaction inflow work ends
    `void` | `registerWork(javax.resource.spi.work.Work work, javax.transaction.xa.Xid xid, long timeout)` Invoked for transaction inflow of work
    `void` | `startWork(javax.resource.spi.work.Work work, javax.transaction.xa.Xid xid)` Invoked for transaction inflow of work

    - ### Methods inherited from interface javax.resource.spi.XATerminator

      `commit, forget, prepare, recover, rollback`

- - ### Method Detail

    - #### registerWork

          void registerWork(javax.resource.spi.work.Work work,
                            javax.transaction.xa.Xid xid,
                            long timeout)
                     throws javax.resource.spi.work.WorkCompletedException

      Invoked for transaction inflow of work
      Parameters:
        `work` - The work starting
        `xid` - The xid of the work
        `timeout` - The transaction timeout
      Throws:
        `javax.resource.spi.work.WorkCompletedException` - with error code WorkException.TX_CONCURRENT_WORK_DISALLOWED when work is already present for the xid or whose completion is in progress, only the global part of the xid must be used for this check.

    - #### startWork

          void startWork(javax.resource.spi.work.Work work,
                         javax.transaction.xa.Xid xid)
                  throws javax.resource.spi.work.WorkCompletedException

      Invoked for transaction inflow of work
      Parameters:
        `work` - The work starting
        `xid` - The xid of the work
      Throws:
        `javax.resource.spi.work.WorkCompletedException` - With error code WorkException.TX_RECREATE_FAILED if it is unable to recreate the transaction context

    - #### endWork

          void endWork(javax.resource.spi.work.Work work,
                       javax.transaction.xa.Xid xid)

      Invoked when transaction inflow work ends
      Parameters:
        `work` - The work ending
        `xid` - The xid of the work

    - #### cancelWork

          void cancelWork(javax.resource.spi.work.Work work,
                          javax.transaction.xa.Xid xid)

      Invoked when the work fails
      Parameters:
        `work` - The work ending
        `xid` - The xid of the work

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)